### Method

# Rsvg Handlerender_document

#### Declaration [src]

    gboolean
    rsvg_handle_render_document (
      RsvgHandle* handle,
      cairo_t* cr,
      const RsvgRectangle* viewport,
      GError** error
    )

#### Description [src]

Renders the whole SVG document fitted to a viewport.

The `viewport` gives the position and size at which the whole SVG document will be rendered. The document is scaled proportionally to fit into this viewport.

The `cr` must be in a `CAIRO_STATUS_SUCCESS` state, or this function will not render anything, and instead will return an error.

Available since: | 2.46

#### Parameters

`cr` | `cairo_t`
| A Cairo context.
| The data is owned by the caller of the function.
`viewport` | `RsvgRectangle`
| Viewport size at which the whole SVG would be fitted.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, `FALSE` on error. Errors are returned in the `error` argument. API ordering: This function must be called on a fully-loaded `handle`. See the section “API ordering” for details. Panics: this function will panic if the `handle` is not fully-loaded.